#gnu make

#.SUFFIXES: .c .o


objx/%.o : src/%.c
	$(CC)

objx/debug/%.o : src/%.c
	$(CCDEBUG)

binx/% : objx/%.o
	$(LINK)

binx/debug/% : objx/debug/%.o
	$(LINKDEBUG)

CFLAGS= -Wall -O3
CFLAGSDEBUG= -Wall -g

CCOMMON=-DLINUX -c -o$@ -I inc $<

CC=gcc $(CFLAGS) $(CCOMMON)
CCDEBUG = gcc $(CFLAGSDEBUG) $(CCOMMON)

LINK = gcc -o $@ $^ -lm
LINKDEBUG = gcc -g -o $@ $^ -lm


all: binx/cplans  binx/debug/cplans

clean:
	rm -rf objx/*.o


binx/cplans: objx/cplans.o objx/schedule.o objx/objhdl.o objx/parser.o objx/date.o objx/util.o

binx/debug/cplans: objx/debug/cplans.o objx/debug/schedule.o objx/debug/objhdl.o objx/debug/parser.o objx/debug/date.o objx/debug/util.o

objx/cplans.o:    inc/cplans.h inc/util.h inc/date.h
objx/schedule.o:  inc/cplans.h inc/util.h inc/date.h
objx/objhdl.o:    inc/cplans.h inc/util.h inc/date.h
objx/parser.o:    inc/cplans.h inc/util.h inc/date.h
objx/util.o:      inc/cplans.h inc/util.h inc/date.h
objx/date.o:      inc/date.h

objx/debug/cplans.o:    inc/cplans.h inc/util.h inc/date.h
objx/debug/schedule.o:  inc/cplans.h inc/util.h inc/date.h
objx/debug/objhdl.o:    inc/cplans.h inc/util.h inc/date.h
objx/debug/parser.o:    inc/cplans.h inc/util.h inc/date.h
objx/debug/util.o:      inc/cplans.h inc/util.h inc/date.h
objx/debug/date.o:      inc/date.h

